import request from '@/utils/request'

// 查询民政管理失信列表
export function listDishonesty(query) {
    return request({
        url: '/crmCivilManagementDishonesty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询民政管理失信详细
export function getDishonesty(id) {
    return request({
        url: '/crmCivilManagementDishonesty/' + id,
        method: 'get'
    })
}

// 新增民政管理失信
export function addDishonesty(data) {
    return request({
        url: '/crmCivilManagementDishonesty',
        method: 'post',
        data: data
    })
}

// 修改民政管理失信
export function updateDishonesty(data) {
    return request({
        url: '/crmCivilManagementDishonesty',
        method: 'put',
        data: data
    })
}

// 删除民政管理失信
export function delDishonesty(id) {
    return request({
        url: '/crmCivilManagementDishonesty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delDishonestyBatch(ids) {
    console.log(ids);
    return request.post('/crmCivilManagementDishonesty/delete',ids)
}